<template>
	<div>
		<!-- 移动端nav -->
		<nav class="animenu u-flex"> 
			<a href="index.html">
				<img class="logo" src="static/whzweb01/logo_b.png"/>
			</a>
			<div class="logo-name" :class="{red: showLightBlackBg}">甄选租</div>
			<div class="login u-flex-xy-center">商户登录</div>
			<a href="https://zu.wei.gg/bus">
				<div class="login u-flex-xy-center">商户登录</div>
			</a>
			<button class="animenu__toggle">
				<span class="animenu__toggle__bar"></span>
				<span class="animenu__toggle__bar"></span>
				<span class="animenu__toggle__bar"></span>
			</button>
			<ul class="animenu__nav">
				<li :class="{active:index==navIndex}" v-for="(item,index) in navList" :key="index" @click="onJumpMobile(item)">
					<a>{{item.name}}<i class="triangle-bottom" v-if="item.list && item.list.length"></i></a>
					<ul style="display: none;" v-if="item.list && item.list.length">
						<li @click.stop="onJump(item.url)">
							<a>{{item.name}}</a>
						</li>
						<li v-for="(item2,index2) in item.list" :key="index2" @click.stop="onJump(item2.url)">
							<a>{{item2.name}}</a>
						</li>
					</ul>
				</li>
			</ul>
		</nav>
		<!-- PC端nav -->
		<div class="f-header" :class="[type==2?'lightBlackBg':{whiteBg:showLightBlackBg}]">
			<div class="container">
				<div class="row">
					<div class="info u-flex">
						<a href="index.html">
							<img class="logo" src="static/whzweb01/logo_b.png"/>
						</a>
						<div class="logo-name" :class="{red: showLightBlackBg}">甄选租</div>
						<div class="nav u-flex u-flex-1 u-flex-start" id="nav">
							<div class="cell" :class="{cur:index==navIndex}" v-for="(item,index) in navList" :key="index" @click="onJump(item.url)">
								<div class="u-flex" style="height: 100%;">
									{{item.name}}
									<i class="triangle-bottom u-m-l-6" :style="[showLightBlackBg?{'border-top': '8px solid #666'}:{'border-top': '8px solid #fff'}]" v-if="item.list && item.list.length"></i>
								</div>
								<ul v-if="item.list && item.list.length">
									<a v-for="(item2,index2) in item.list" :key="index2" @click.stop="onJump(item2.url)">{{item2.name}}</a>
								</ul>
							</div>
						</div>
						<a href="https://zu.wei.gg/bus">
							<div class="login u-flex-xy-center">商户登录</div>
						</a>
					</div>
				</div>
			</div>
		</div>
		
	</div>
</template>

<script>
	module.exports = {
		props: {
			type: {
				type: [String,Number],
				default: function() {
					return 1;
				}
			},
			current: {
				type: [String,Number],
				default: function() {
					return 0;
				}
			},
		},
		mounted() {
			console.log(this,this.current,'--')
			if(this.type==1){
				window.addEventListener('scroll', this.handleScroll, true)
			}
		},
		watch:{
			current: {
				handler(newvalue) {
					this.navIndex = newvalue
				},
				deep:true,
				immediate:true,
			},
		},
		data: function (){
			return {
				navList:[
					{
						name:'首页',
						url:'index.html'
					},
					{
						name:'产品中心',
						url: 'productCenter.html'
					},
					{
						name:'热门资讯',
						url:'hotNews.html'
					},
					{
						name:'商务合作',
						url:'businessCooperation.html'
					},
					{	
						name:'商家入驻',
						url:'merchantSettlement.html',
					},
					{
						name:'关于我们',
						url:'about.html',
					}
				],
				navIndex:0,
				showLightBlackBg:false,
			};
		},
		methods: {
			enterFun(index){
				if(index!=this.navIndex){
					$('.f-header #nav .cell').eq(index).addClass('cur')
				}
			},
			leaveFun(index){
				if(index!=this.navIndex){
					$('.f-header #nav .cell').eq(index).removeClass('cur')
				}
			},
			handleScroll(){
				var topp = $(document).scrollTop();
				if(topp > 90){
					this.showLightBlackBg = true
				}else{
					this.showLightBlackBg = false
				}
			},
			onJump(url){
				if(url){
					window.location.href = url
				}
			},
			onJumpMobile(item){
				if(!(item.list && item.list.length)){
					window.location.href = item.url
				}
			}
		}
	};

	// 公共js
	$(document).ready(function(){
		$("body").on("click",".animenu__toggle",function(){
			$(".animenu__toggle").toggleClass('animenu__toggle--active');
			$(".animenu__nav").toggleClass('cur').fadeToggle();
		});
		$("body").on("click",".animenu__nav>li",function(){
			$('.animenu__nav>li').removeClass('active')
			$(this).toggleClass('active')
			$(this).find('ul').slideToggle()
		});
	});
</script>

<style>
.f-header{
	width: 100%;
	height: 60px;
	position: fixed;
	left: 0;
	top: 0;
	z-index: 300;
	transition: all .5s;
	-webkit-transition: all .5s;
	-ms-transition: all .5s;
	background: rgba(0, 0, 0, 0.3);
}
/* .f-header:hover{
	background: rgba(56,60,99, 1);
}
.f-header.white{
	background-color: #fff;
} */
.f-header .info{
	height: 60px;
}
.f-header .info .logo{
	width: 40px;
	height: 40px;
	transition: all .3s;
}
.f-header .info .logo-name {
	font-size: 24px;
	font-weight: 400;
	color: rgba(255, 255, 255, 1);
	padding-left: 6px;
}
.f-header .info .logo-name.red {
	color: #E52F2F;
}
.f-header .info .nav{
	height: 100%;
	margin-left: 20px;
}
.f-header .info .nav .cell{
	color: #fff;
	font-size: 14px;
	padding: 0 20px;
	height: 100%;
	line-height: 60px;
	cursor: pointer;
	display: block;
	position: relative;
}
.f-header.whiteBg{
	box-shadow: -1px 8px 25px 0px rgb(58 117 253 / 12%);
}
.f-header .login,.animenu .login{
	width: 69px;
	height: 25px;
	border-radius: 50px;
	background: rgba(255, 255, 255, 1);
	font-size: 12px;
	color: rgba(25, 59, 250, 1);
	cursor: pointer;
	transition: all .3s;
	-webkit-transition: all .3s;
	-ms-transition: all .3s;
}
.f-header .login:hover{
	box-shadow: 2px 2px 15px 0 rgba(58, 117, 253, 0.2)!important;
	-webkit-transform: translateY(-2px);
	transform: translateY(-2px);
}
.f-header.whiteBg .info .nav .cell{
	color: #333;
}
.f-header .info .nav .cell.cur{
	/* background-color: rgba(255, 255, 255, 0.1); */
	transition: all .3s;
	-webkit-transition: all .3s;
	-ms-transition: all .3s;
}
.f-header.whiteBg .info .nav .cell.cur{
	color: #2C65FD;
}
.f-header .info .nav .cell::after{
	content: '';
	width: 0px;
	height: 2px;
	background-color: #fff;
	position: absolute;
	left: 50%;
	bottom: 0;
	transition: all .3s;
	-webkit-transition: all .3s;
	-ms-transition: all .3s;
}
.f-header.whiteBg .info .nav .cell::after{
	background-color: #2C65FD;
}
.f-header .info .nav .cell.cur::after{
	width: 100%;
	margin-left: -50%;
}
.f-header .info .nav .cell ul{
	position: absolute;
	left: 0;
	top: 60px;
	width: 170px;
	display: none;
	animation:toUp .3s;
	-webkit-animation:toUp .3s;
	box-shadow: -1px 8px 25px 0px rgb(58 117 253 / 12%);
	padding: 0 22px;
	background: #fff;
}
.f-header .info .nav .cell ul a{
	padding: 20px 0;
	font-size: 17px;
	color: #1C1C1C;
	line-height: 1;
	background: #fff;
	display: block;
	border-bottom: 1px solid #eee;
}

.f-header .info .nav .cell:hover{
	/* background-color: rgba(255, 255, 255, 0.1); */
	transition: all .3s;
	-webkit-transition: all .3s;
	-ms-transition: all .3s;
}
.f-header .info .nav .cell:hover::after{
	width: 100%;
	margin-left: -50%;
}
.f-header .info .nav .cell:hover ul{
	display: block;
}
.f-header .info .nav .cell ul a:hover{
	color: #2C65FD;
}
.f-header .info .input{
	width: 196px;
	height: 40px;
	background: #fff;
	border: 1px solid #e0e6f2;
	padding: 0 10px;
}
.f-header .info .input input{
	width: 100%;
	padding: 5px 5px 5px 0;
	color: #3d3d44;
	font-size: 16px;
	border: none;
}
.f-header .info .icon_search{
	width: 16px;
	height: 16px;
}

@media (max-width:1200px){
    .f-header .info .nav .cell{
    	padding: 0 10px;
    }
}
@media (max-width:994px){
	.f-header .info .nav{
		margin-left: 0;
	}
    .f-header .info .nav .cell{
		padding: 0 8px;
    	font-size: 13px;
    }
}


@media (max-width:767px){
	/*nav*/
	.animenu__toggle{display: none;cursor: pointer;border: 0;padding: 10px;height: 40px;width: 40px;}
	.animenu__toggle__bar{display: block;width: 20px;height: 2px;background-color: #000;-webkit-transition: 0.15s cubic-bezier(0.75, -0.55, 0.25, 1.55);transition: 0.15s cubic-bezier(0.75, -0.55, 0.25, 1.55);}
	.animenu__toggle__bar + .animenu__toggle__bar{margin-top: 4px;}
	.animenu__toggle--active .animenu__toggle__bar{margin: 0;position: absolute;}
	.animenu__toggle--active .animenu__toggle__bar:nth-child(1){-webkit-transform: rotate(45deg);-ms-transform: rotate(45deg);transform: rotate(45deg);}
	.animenu__toggle--active .animenu__toggle__bar:nth-child(2){opacity: 0;}
	.animenu__toggle--active .animenu__toggle__bar:nth-child(3){-webkit-transform: rotate(-45deg);-ms-transform: rotate(-45deg);transform: rotate(-45deg);}
	.animenu{min-width: 320px;box-shadow: -1px 8px 25px 0px rgb(58 117 253 / 12%);}
	.animenu ul{padding: 0;list-style: none;font: 0px "Microsoft Yahei", Arial, Helvetica;}
	.animenu li, .animenu a{display: inline-block;font-size: 15px;}
	.animenu a{color: #3d3d44;text-decoration: none;}
	.animenu{ width:100%; height:60px; background:#fff; position:fixed; left:0; top:0; z-index:999; border-bottom:1px solid #2C65FD}
	.animenu .logo{ width:auto;min-width:32px; height:32px; margin:14px;}
	.animenu__toggle{display: inline-block; background:transparent;position:absolute; right:10px; top:10px;}
	.animenu__nav{display: none;margin: 10px 0; width:100%;position:absolute; right:0; top:61px;}
	.animenu__nav > li{width: 100%;border-right: 0;border-bottom: 1px solid #CCC;background:#fff;}
	.animenu__nav > li:last-child{border: 0;}
	.animenu__nav > li:first-child > a:after{content: '';position: absolute;height: 0;width: 0;right: 1em;top: -6px;border: 6px solid transparent;border-top: 0;border-bottom-color: inherit;}
	.animenu__nav > li > a{color: #3d3d44;;width: 100%;padding: 10px;border-color: #2C65FD;position: relative;-webkit-box-sizing: border-box;-moz-box-sizing: border-box;box-sizing: border-box;}
	.animenu__nav > li.active>a{ color:#fff; background:#2C65FD}
	.animenu__nav > li>a:hover{background-color: #2C65FD;border-color: #2C65FD;color: #fff!important;}
	.animenu__nav > li > a >i{position: absolute;right: 15px 10px;top: 50%;margin-top: -5px;}
	.animenu__nav>li>ul>li{width: 100%;border-bottom: 1px dashed #ddd;background:#f5f5f9;}
	.animenu__nav>li>ul>li:last-child{border: none;}
	.animenu__nav>li>ul>li>a{width: 100%;padding: 10px;}
}
@media screen and (min-width: 767px) {
	.animenu{ display: none;}
}
@media screen and (max-width: 767px) {
	.f-header{ display: none;}
}
</style>
